package TestApp;
use Moose;
use namespace::autoclean;

use Catalyst qw/
    ConfigLoader
    Session
    Session::State::Cookie
    Session::Store::DBI
/;

extends 'Catalyst';

__PACKAGE__->config(
    name => 'CiSupport',
    uploadtmp => $ENV{FILE_CACHE_DIR} || '/space/media',
    disable_component_resolution_regex_fallback => 1,
    'Plugin::Session' => {
        expires   => 60 * 60 * 8, # 8 hours
        dbi_dsn   => 'dbi:SQLite:dbname=' . __PACKAGE__->path_to("../../sessions.db"),
        dbi_user  => 'sessions',
        dbi_pass  => 'xso44ge',
        dbi_table => 'catalyst_sessions',
        dbi_id_field => 'id',
        dbi_data_field => 'session_data',
        dbi_expires_field => 'expires',
    },
    default_view => 'HTML',
);

__PACKAGE__->setup;

1;
