#!/usr/bin/env perl

use strict;
use warnings;
use Test::More;
use Test::Exception;
use Test::WWW::Mechanize::Catalyst;

# setup library path
use FindBin qw($Bin);
use lib "$Bin/lib";

use state51::Test qw/TestDB::WithData/;
state51::Test->setup_test_environment();

# make sure testapp works
use_ok 'TestApp'
    or BAIL_OUT();

# a live test against TestApp, the test application
Test::WWW::Mechanize::Catalyst->import( 'TestApp' );
my $mech = Test::WWW::Mechanize::Catalyst->new;
$mech->get('http://localhost/', 'get main page');
is $mech->status, 404;
#$mech->get_ok('http://localhost/', 'get main page');
#$mech->content_like(qr/it works/i, 'see if it has our text');

done_testing;
